org.apache.olingo.server.api.serializer

## Class EntitySerializerOptions

- java.lang.Object
- - org.apache.olingo.server.api.serializer.EntitySerializerOptions

-     public class EntitySerializerOptions
      extends Object

  Options for the OData serializer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntitySerializerOptions.Builder` Builder of OData serializer options.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContextURL` | `getContextURL()` Gets the `ContextURL`.
    `ExpandOption` | `getExpand()` Gets the $expand system query option.
    `SelectOption` | `getSelect()` Gets the $select system query option.
    `boolean` | `getWriteOnlyReferences()` only writes the references of the entities
    `static EntitySerializerOptions.Builder` | `with()` Initializes the options builder.
    `String` | `xml10InvalidCharReplacement()` Gets the replacement string for unicode characters, that is not allowed in XML 1.0

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getContextURL

          public ContextURL getContextURL()

      Gets the `ContextURL`.

    - #### getExpand

          public ExpandOption getExpand()

      Gets the $expand system query option.

    - #### getSelect

          public SelectOption getSelect()

      Gets the $select system query option.

    - #### getWriteOnlyReferences

          public boolean getWriteOnlyReferences()

      only writes the references of the entities

    - #### xml10InvalidCharReplacement

          public String xml10InvalidCharReplacement()

      Gets the replacement string for unicode characters, that is not allowed in XML 1.0

    - #### with

          public static EntitySerializerOptions.Builder with()

      Initializes the options builder.

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.